package com.fastest.pass.login.domain.usecase

import com.fastest.pass.login.data.model.LoginResult
import com.fastest.pass.login.domain.repository.LoginRepository
import javax.inject.Inject

class LoginUseCase @Inject constructor(
    private val loginRepository: LoginRepository
) {
    suspend operator fun invoke(email: String, password: String) : LoginResult {
        return loginRepository.loginRepository(email, password)
    }
}